--- ../svgalib-1.4.3-orig/demos/lineart.c	2000-02-19 18:12:52 +0900
+++ demos/lineart.c	2006-02-23 16:48:36 +0900
@@ -19,8 +19,8 @@
   
   if(mode == 0)
     {
-      printf("Usage:linp [mode mode ...]\n
-              where mode is an integer.\n");
+      printf("Usage:linp [mode mode ...]\n"
+             "where mode is an integer.\n");
       return;
     }
   if(! vga_hasmode(mode)) {
--- ../svgalib-1.4.3-orig/gl/driver.c	1999-07-18 17:18:44 +0900
+++ gl/driver.c	2006-02-23 16:46:57 +0900
@@ -38,10 +38,10 @@
 	    ((c >> 8) & 0xff) << 8 |
 	    ((c >> 16) & 0xff) << 0;
 #else
-	asm("rorw  $8, %0\n"	/* 0RGB -> 0RBG */
-	    "rorl $16, %0\n"	/* 0RBG -> BG0R */
-	    "rorw  $8, %0\n"	/* BG0R -> BGR0 */
-	    "shrl  $8, %0\n"	/* 0BGR -> 0BGR */
+	asm("rorw  $8, %%cx\n"	/* 0RGB -> 0RBG */
+	    "rorl $16, %%ecx\n"	/* 0RBG -> BG0R */
+	    "rorw  $8, %%cx\n"	/* BG0R -> BGR0 */
+	    "shrl  $8, %%ecx\n"	/* 0BGR -> 0BGR */
       : "=q"(c):"0"(c));
 #endif
     return c;
--- ../svgalib-1.4.3-orig/gl/inlstring.h	1999-09-21 03:45:31 +0900
+++ gl/inlstring.h	2006-02-23 16:43:19 +0900
@@ -98,7 +98,7 @@
 	       "cmpl $12,%%edx\n\t"
 	       "jl 1f\n\t"	/* if (count >= 12) */
 
-	       "movzbl %%al,%%ax\n\t"
+	       "movzbl %%al,%%eax\n\t"
 	       "movl %%eax,%%ecx\n\t"
 	       "shll $8,%%ecx\n\t"	/* c |= c << 8 */
 	       "orl %%ecx,%%eax\n\t"
--- ../svgalib-1.4.3-orig/src/apm.c	2000-10-12 01:35:18 +0900
+++ src/apm.c	2006-02-23 16:36:24 +0900
@@ -151,12 +151,12 @@
    regs[APMREG_SAVE(15)] = (k >> 8)&0xff;
    regs[APMREG_SAVE(16)] = (k >> 16) & 0xff ;
    regs[APMREG_SAVE(17)] = ( k >> 24 ) & 0xff ;
-   (unsigned long)regs[APMREG_SAVE(18)] = inlXR(0xf0) ;
-   (unsigned long)regs[APMREG_SAVE(22)] = inlXR(0xf4) ;
-   (unsigned long)regs[APMREG_SAVE(26)] = inlXR(0x140) ;
-   (unsigned short)regs[APMREG_SAVE(30)] = inlXR(0x144) ;
-   (unsigned long)regs[APMREG_SAVE(32)] = inXR(0x148) ;
-   (unsigned short)regs[APMREG_SAVE(36)] = inXR(0x14c) ;
+   *(unsigned long *)&regs[APMREG_SAVE(18)] = inlXR(0xf0) ;
+   *(unsigned long *)&regs[APMREG_SAVE(22)] = inlXR(0xf4) ;
+   *(unsigned long *)&regs[APMREG_SAVE(26)] = inlXR(0x140) ;
+   *(unsigned short *)&regs[APMREG_SAVE(30)] = inlXR(0x144) ;
+   *(unsigned long *)&regs[APMREG_SAVE(32)] = inXR(0x148) ;
+   *(unsigned short *)&regs[APMREG_SAVE(36)] = inXR(0x14c) ;
 
     return APM_TOTAL_REGS - VGA_TOTAL_REGS;
 }
--- ../svgalib-1.4.3-orig/src/keyboard/keyboard.c	2000-10-08 21:37:40 +0900
+++ src/keyboard/keyboard.c	2006-02-23 16:39:46 +0900
@@ -768,7 +768,8 @@
         usekeymap = 0;
 
         /* Initialize keymap */
-        for (i = 0; i < NR_KEYS; keymap[i++] = i);
+        for (i = 0; i < NR_KEYS; i++)
+            keymap[i] = i;
 
         while(!feof(keymapfile)) {
             /* Read */
--- ../svgalib-1.4.3-orig/src/mach32.c	1999-09-30 01:52:14 +0900
+++ src/mach32.c	2006-02-23 16:36:24 +0900
@@ -1544,7 +1544,7 @@
 		goto writerr;
 	    printf("mach32: Notice: new EEPROM file >%s< succesful created.\n",
 		   eeprom_fname);
-	  finish_w_eeprom:
+	  finish_w_eeprom:;
 	}
 	/* Change eeprom contents if requested: */
 	if (!(eeprom_option & EEPROM_USE_MEMCFG))
--- ../svgalib-1.4.3-orig/src/s3.c	2000-05-03 21:23:57 +0900
+++ src/s3.c	2006-02-23 16:36:24 +0900
@@ -474,7 +474,7 @@
 	    dac_used->restoreState(regs);
 	    return old_values;
 	}
-    default:
+    default:;
     }
     return 0;
 }
--- ../svgalib-1.4.3-orig/src/vga.c	2006-02-23 16:36:06 +0900
+++ src/vga.c	2006-02-23 16:36:24 +0900
@@ -3931,7 +3931,7 @@
 
 #define ML_GETINT(x) \
 	ptr = strtok(NULL, " "); if(!ptr) break; \
-	mmt.##x = atoi(ptr);
+	mmt.x = atoi(ptr);
 
 	    ML_GETINT(HDisplay);
 	    ML_GETINT(HSyncStart);
--- ../svgalib-1.4.3-orig/src/vgabg.h	1999-07-28 01:36:19 +0900
+++ src/vgabg.h	2006-02-23 16:38:46 +0900
@@ -27,7 +27,9 @@
 
 /* Linear video memory things */
 
+#ifdef BACKGROUND
 extern void *__svgalib_linearframebuffer;
+#endif
 extern void *__svgalib_physaddr;
 extern unsigned char *__svgalib_graph_mem_linear_orginal;
 extern unsigned char *__svgalib_graph_mem_linear_check;
--- ../svgalib-1.4.3-orig/src/vgapix.c	1999-07-28 01:36:19 +0900
+++ src/vgapix.c	2006-02-23 16:47:03 +0900
@@ -31,10 +31,10 @@
 	    ((c >> 8) & 0xff) << 8 |
 	    ((c >> 16) & 0xff) << 0;
 #else
-	asm("rorw  $8, %0\n"	/* 0RGB -> 0RBG */
-	    "rorl $16, %0\n"	/* 0RBG -> BG0R */
-	    "rorw  $8, %0\n"	/* BG0R -> BGR0 */
-	    "shrl  $8, %0\n"	/* 0BGR -> 0BGR */
+	asm("rorw  $8, %%cx\n"	/* 0RGB -> 0RBG */
+	    "rorl $16, %%ecx\n"	/* 0RBG -> BG0R */
+	    "rorw  $8, %%cx\n"	/* BG0R -> BGR0 */
+	    "shrl  $8, %%ecx\n"	/* 0BGR -> 0BGR */
       : "=q"(c):"0"(c));
 #endif
     return c;
